TYPO3.Fluid - Bug # 6691

Status: Resolved Priority: Could have
Author: Michael Sauter Category:

Created: 2010-03-04 Assigned To:

Updated: 2010-10-20 Due date:

Has patch:

Affected Flow version:

Subiject: Backslash in Textfield ViewHelper

Description

This:

<f:form.textfield name="somename" value="F3\" size="60" />

results in the following HTML code:

<input type="text" name="somename" value="F3" size=" />

| would expect the following (as is the case if you write plain HTML):

<input type="text" name="somename" value="F3\" size="60" />

History

#1 - 2010-03-04 10:36 - Michael Sauter

Ah, sorry for the wrong less then / greater then symbols ... should be < and > of course.

#2 - 2010-04-29 01:03 - Christian Miiller

Michael Sauter wrote:

Ah, sorry for the wrong less then / greater then symbols ... should be < and > of course.

Slashing the slash should help so ...F3\\" should work. So this is a no bug for me.

#3 - 2010-04-29 16:03 - Michael Sauter

Christian Mueller wrote:

Slashing the slash should help so ...F3\" should work. So this is a no bug for me.

This doesn't work in alpha8 for me.
But, even if it would work, | would still consider this a bug. From a non-technical point of view, the Fluid language is just XML. So IMHO it should

behave like HTML/XML, and not like something that is parsed by PHP. If it's impossible to accomplish that, escaping would be fine for me as long as it

is stated somewhere that | have to escape backslashes.
#4 - 2010-05-28 01:15 - Christian Miiller

Christian Mueller wrote:

Michael Sauter wrote:

Ah, sorry for the wrong less then / greater then symbols ... should be < and > of course.

Slashing the slash should help so ...F3\" should work. So this is a no bug for me.

Sorry for the delay. Well it is all about the parser, it allows a \" inside a value string, so that won't work. Fortunatly ' (single-quote) is also allowed in

view-helper syntax, so try if that works for you:

<f:form.textfield name="somename" value='F3\' size="60" />

#5 - 2010-06-24 20:11 - Sebastian Kurfuerst

- Status changed from New to Needs Feedback

- Priority changed from Should have to Could have

#6 - 2010-06-28 14:53 - Michael Sauter

Thanks for the hint, single-quote works.

#7 - 2010-07-02 00:10 - Christian Miiller

- Status changed from Needs Feedback to Resolved

nothing more to do.
